<UserControl x:Class="ThreadPlayer.Views.PlaylistView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:ThreadPlayer.Views"
             mc:Ignorable="d" 
             d:DesignHeight="300" d:DesignWidth="300">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="150"/>
            <ColumnDefinition Width="*"/>
        </Grid.ColumnDefinitions>

        <Grid Grid.Column="0">
            <Grid.RowDefinitions>
                <RowDefinition Height="21"/>
                <RowDefinition Height="21"/>
                <RowDefinition Height="21"/>
                <RowDefinition Height="21"/>
                <RowDefinition Height="21"/>
                <RowDefinition Height="21"/>
                <RowDefinition Height="21"/>
                <RowDefinition Height="35"/>
                <RowDefinition Height="75"/>
                <RowDefinition Height="*"/>
            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition/>
                <ColumnDefinition/>
            </Grid.ColumnDefinitions>

            <TextBlock Text="ID :" VerticalAlignment="Center" Grid.Row="0" Grid.Column="0"/>
            <TextBlock Text="Title :" VerticalAlignment="Center" Grid.Row="1" Grid.Column="0"/>
            <TextBlock Text="Length :" VerticalAlignment="Center" Grid.Row="2" Grid.Column="0"/>
            <TextBlock Text="Artist :" VerticalAlignment="Center" Grid.Row="3" Grid.Column="0"/>
            <TextBlock Text="Genre :" VerticalAlignment="Center" Grid.Row="4" Grid.Column="0"/>
            <TextBlock Text="Rating :" VerticalAlignment="Center" Grid.Row="5" Grid.Column="0"/>

            <TextBlock Text="{Binding Path=SelectedSong.ID, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Center" Grid.Row="0" Grid.Column="1"/>
            <TextBlock Text="{Binding Path=SelectedSong.Title, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Center" Grid.Row="1" Grid.Column="1"/>
            <TextBlock Text="{Binding Path=SelectedSong.Length, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Center" Grid.Row="2" Grid.Column="1"/>
            <TextBlock Text="{Binding Path=SelectedSong.Artist, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Center" Grid.Row="3" Grid.Column="1"/>
            <TextBlock Text="{Binding Path=SelectedSong.Genre, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Center" Grid.Row="4" Grid.Column="1"/>
            <TextBlock Text="{Binding Path=SelectedSong.Rating, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Center" Grid.Row="5" Grid.Column="1"/>

            <StackPanel Orientation="Horizontal" HorizontalAlignment="Center" Grid.ColumnSpan="2" Grid.Row="6">
                <TextBlock Margin="20,0" Text="{Binding Path=CurrentTimeStr, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Center"/>
                <TextBlock Margin="20,0" Text="{Binding Path=SelectedSong.Length, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Center"/>
            </StackPanel>
            
            <Slider x:Name="songProgress" Grid.Row="7" Grid.ColumnSpan="2" Margin="0,0,0,0" 
                    Style="{DynamicResource FlatSlider}" Minimum="0" 
                    Maximum="{Binding Path=SelectedSong.LengthTimeSpan.TotalSeconds, UpdateSourceTrigger=PropertyChanged}" 
                    Value="{Binding Path=CurrentTime, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}"
                    SmallChange="1" TickFrequency="1" IsSnapToTickEnabled="True"/>

            <Button Content="Play" Command="{Binding PlayCommand}"  Grid.Column="0" Grid.Row="8" Style="{StaticResource AccentedSquareButtonStyle}" Margin="10"/>
            <Button Content="Pause" Command="{Binding PauseCommand}" Grid.Column="1" Grid.Row="8" Style="{StaticResource AccentedSquareButtonStyle}" Margin="10"/>
        </Grid>

        <ListView Name="playlistSongsListView" Grid.Column="1" BorderBrush="White"
                      BorderThickness="1" SelectionMode="Single"
                      ItemsSource="{Binding Path=AllSongs, UpdateSourceTrigger=PropertyChanged}"
                  SelectedItem="{Binding SelectedSong, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}">
            <ListView.View>
                <GridView>
                    <GridViewColumn DisplayMemberBinding="{Binding Path=ID}">ID</GridViewColumn>
                    <GridViewColumn DisplayMemberBinding="{Binding Path=Title}">Title</GridViewColumn>
                    <GridViewColumn DisplayMemberBinding="{Binding Path=Artist}">Artist</GridViewColumn>
                    <GridViewColumn DisplayMemberBinding="{Binding Path=Genre}">Genre</GridViewColumn>
                    <GridViewColumn DisplayMemberBinding="{Binding Path=Rating}">Rating</GridViewColumn>
                    <GridViewColumn DisplayMemberBinding="{Binding Path=Length}">Length</GridViewColumn>
                </GridView>
            </ListView.View>
        </ListView>
    </Grid>
</UserControl>
